Bug 38109 - named.conf world readable
named.conf world readable
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: caching-nameserver (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-27 16:06 EDT by Tim Pepper
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-02 09:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Pepper 2001-04-27 16:06:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3 i686)


/etc/named.conf now contains a secret key yet the config file is installed
as world readable.

Reproducible: Always
Steps to Reproduce:
1. ls -l /etc/named.conf
2.
3.
	

Actual Results:  [root@tcp /etc]# ls -l named.conf 
-rw-r--r--    1 root     root          781 Apr 27 13:02 named.conf

Expected Results:  [root@tcp /etc]# ls -l named.conf 
-rw-r-----    1 root     root          781 Apr 27 13:02 named.con
Comment 1 Tim Pepper 2001-04-27 16:13:02 EDT
Oh yeah...to take off the world read bit you need to 'chgrp named
/etc/named.conf' obviously.
Comment 2 Stig Hackvan 2001-07-02 15:55:21 EDT
this also applies to rndc.conf (which contains a matching copy of the key)
Comment 3 Florian La Roche 2002-04-03 08:56:07 EST
The keys are now in files only readable by root and group named, so this
should be fixed now.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.